Experiments
Get observed experiment results
Observed outcomes from experiment-tagged conversation records, not projected traffic. Empty arms have null rates. No automatic winner or disposition scores.
GET
/
v2
/
agents
/
{uuid}
/
experiments
/
{experiment_id}
/
results
Get observed experiment results
curl --request GET \
--url https://api.sempera.org/v2/agents/{uuid}/experiments/{experiment_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v2/agents/{uuid}/experiments/{experiment_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v2/agents/{uuid}/experiments/{experiment_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"experiment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"client": "<string>",
"name": "<string>",
"status": "draft",
"variant_version_id": "<string>",
"variant_percent": 50,
"traffic_percentage": 50,
"control_version_id": "<string>",
"baseline_current_version_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"stopped_at": "2023-11-07T05:31:56Z",
"served_on": [
"<string>"
],
"not_served": [
"<string>"
]
},
"arms": [
{
"arm": "control",
"agent_version_id": "<string>",
"conversations": 1,
"reached_result": 1,
"flagged": 1,
"result_rate": 123,
"average_turns": 123,
"outcomes": [
{
"key": "<string>",
"label": "<string>",
"count": 1
}
]
}
],
"reading": {
"level": "none",
"sentence": "<string>",
"difference_points": 123,
"margin_points": 123
},
"measure": "<string>",
"dispositions": {
"available": false,
"reason": "<string>"
},
"served_on": [
"<string>"
],
"not_served": [
"<string>"
]
},
"errors": null
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}Authorizations
A workspace API key, sent as Authorization: Bearer sempera_sk_... Each operation names the one scope it needs. Scopes, key kinds and roles are in the Authentication guide.
⌘I
Get observed experiment results
curl --request GET \
--url https://api.sempera.org/v2/agents/{uuid}/experiments/{experiment_id}/results \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sempera.org/v2/agents/{uuid}/experiments/{experiment_id}/results"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sempera.org/v2/agents/{uuid}/experiments/{experiment_id}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"experiment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "<string>",
"client": "<string>",
"name": "<string>",
"status": "draft",
"variant_version_id": "<string>",
"variant_percent": 50,
"traffic_percentage": 50,
"control_version_id": "<string>",
"baseline_current_version_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z",
"stopped_at": "2023-11-07T05:31:56Z",
"served_on": [
"<string>"
],
"not_served": [
"<string>"
]
},
"arms": [
{
"arm": "control",
"agent_version_id": "<string>",
"conversations": 1,
"reached_result": 1,
"flagged": 1,
"result_rate": 123,
"average_turns": 123,
"outcomes": [
{
"key": "<string>",
"label": "<string>",
"count": 1
}
]
}
],
"reading": {
"level": "none",
"sentence": "<string>",
"difference_points": 123,
"margin_points": 123
},
"measure": "<string>",
"dispositions": {
"available": false,
"reason": "<string>"
},
"served_on": [
"<string>"
],
"not_served": [
"<string>"
]
},
"errors": null
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}{
"error": {
"code": "AGENT_ENV_UNPINNED",
"message": "<string>",
"request_id": "<string>",
"field": "<string>",
"scope": "<string>",
"reason": "<string>"
}
}